## appstream 0.11.3

=== CMakeLists.txt ===
# CMakeLists for the AppStream Project
project(appstream)
cmake_minimum_required(VERSION 3.2.0 FATAL_ERROR)

set(CMAKE_BUILD_TYPE "Debug")

set(AS_VERSION_MAJOR  "0")
set(AS_VERSION_MINOR  "11")
set(AS_VERSION_PATCH  "3")
set(AS_VERSION "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}.${AS_VERSION_PATCH}")
set(APPSTREAM_LIB_API_LEVEL "4")

# Don't allow in-tree building
if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})

#
# Options
#
option(L18N "Enable localization" ON)
option(STEMMING "Use stemming while searching. Requires Snowball (libstemmer)" ON)
option(VAPI "Create and install a Vala API file" OFF)
option(QT "Build libappstream-qt" OFF)
option(MAINTAINER "Enable maintainer mode (use strict compiler flags, e.g. -Werror)" OFF)
option(DOCUMENTATION "Enable target to build documentation" OFF)
option(APT_SUPPORT "Enable integration with APT on Debian" OFF)
option(SANITIZERS "Compile with sanitizers (address / thread sanitizer) enabled. Requires maintainer mode to be ON too." OFF)

#
# Default paths
#
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "Default install prefix" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Special case for /etc and /var when prefix is /usr
if(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
  set(CMAKE_INSTALL_SYSCONFDIR "/etc" CACHE PATH "read-only single-machine data (etc)")
  set(CMAKE_INSTALL_LOCALSTATEDIR "/var" CACHE PATH "modifiable single-machine data (var)")
endif(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/data/cmake/)

message(STATUS "Compiling AppStream version ${AS_VERSION}")

add_custom_target(distclean
  "make clean"
)

#
# l18n
#
find_package (Gettext REQUIRED)

#
# Configure files
#
set (GETTEXT_PACKAGE "appstream")
set (VERSION "${AS_VERSION}")
if(APT_SUPPORT)
	set (HAVE_APT_SUPPORT true)
endif()
if(STEMMING)
	set (HAVE_STEMMING true)
endif()
configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

#
# Enable testing
#
enable_testing()

#
# Custom C flags
#
set(MAINTAINER_CFLAGS "")
set(SANITIZER_LIBS "")
if(MAINTAINER)
	set(MAINTAINER_CFLAGS "-Werror"
			"-Wall"
			"-Wextra"
			"-Wcast-align"
			"-Wno-uninitialized"
			"-Wempty-body"
			"-Wformat-security"
			"-Winit-self"
			"-Wnull-dereference"
			"-Wfloat-equal"
			#"-Wformat-signedness"
			"-Winline")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wmissing-declarations")
	if (CMAKE_COMPILER_IS_GNUCC)
		execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
                OUTPUT_VARIABLE GCC_VERSION)
		if (GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
			set(MAINTAINER_CFLAGS ${MAINTAINER_CFLAGS} "-fdiagnostics-color=auto")
		endif()
	endif()

	if(SANITIZERS)
		set(MAINTAINER_CFLAGS ${MAINTAINER_CFLAGS} "-fsanitize=address" "-fsanitize=undefined")
		set(SANITIZER_LIBS "asan" "ubsan")
		if ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
			set(MAINTAINER_CFLAGS ${MAINTAINER_CFLAGS} "-fno-sanitize-recover=undefined,integer")
		else()
			set(MAINTAINER_CFLAGS ${MAINTAINER_CFLAGS} "-fno-sanitize-recover")
		endif()
	endif()
endif(MAINTAINER)
add_definitions(${MAINTAINER_CFLAGS})

# a few compiler warning flags we always want enabled
add_definitions("-Werror=implicit-function-declaration" "-Wno-unused-parameter")

# enable C++11
set(CMAKE_CXX_STANDARD "11")

include(CMakePackageConfigHelpers)
find_package(PkgConfig REQUIRED)

add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(contrib)
add_subdirectory(po)
add_subdirectory(docs)
add_subdirectory(tests)
if(QT)
	add_subdirectory(qt)
endif()

=== docs/CMakeLists.txt ===
# CMakeLists for documentation

find_program (XMLTO xmlto)
mark_as_advanced (XMLTO)
if (NOT XMLTO)
	message (FATAL_ERROR "Xmlto was not found! Please install it to continue!")
endif ()

include (${CMAKE_SOURCE_DIR}/data/cmake/documentation.cmake)

add_xml_manpages(doc-man-asi "sources/man/appstreamcli.1" "" "")

set(DOC_HTML_EXPORT_DIR "${CMAKE_CURRENT_SOURCE_DIR}/html")

if (DOCUMENTATION)
	#########################
	# General project documentation
	find_program (PUBLICAN publican)
	mark_as_advanced (PUBLICAN)
	if (NOT PUBLICAN)
		message (FATAL_ERROR "Publican was not found. Please install it to continue!")
	endif ()

	# we need to assemble our documentation build-directory before we can built it
	add_custom_target (assemble-docs
		COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/prepare-docbuild.sh" "source_dir=${CMAKE_CURRENT_SOURCE_DIR}" "build_dir=${CMAKE_BINARY_DIR}/docbuild"
		DEPENDS "publican.cfg"
			"sources/"
			"${CMAKE_BINARY_DIR}/docbuild/"
			appstream
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		VERBATIM
	)

	# the actual target to build all documentation
	add_custom_target (documentation-noexport
		COMMAND ${PUBLICAN} "build" "--langs=en-US" "--publish" "--formats=html"
		DEPENDS "publican.cfg"
			"${CMAKE_BINARY_DIR}/docbuild/publican.cfg"
			assemble-docs
			doc-appstream
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/docbuild/
	)
	add_custom_command (OUTPUT "${CMAKE_BINARY_DIR}/docbuild/"
			COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_BINARY_DIR}/docbuild"
			VERBATIM
	)

	set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${DOC_HTML_EXPORT_DIR})
	set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/docbuild)

	# a target to export documentation html to the source tree (useful when building the tarballs)
	add_custom_target (documentation
		COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_BINARY_DIR}/docbuild/AppStream-Docs/en-US/html/" "${DOC_HTML_EXPORT_DIR}"
		DEPENDS documentation-noexport
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
	add_custom_command(
		TARGET documentation POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/api/html" "${DOC_HTML_EXPORT_DIR}/api"
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)

	#########################
	# API documentation

	find_package(GtkDoc)
	if(NOT GTKDOC_FOUND)
		message(FATAL_ERROR "gtkdoc was not found, API documentation can not be built.")
	endif()
	include(UseGtkDoc)

	gtk_doc_add_module(appstream ${CMAKE_SOURCE_DIR}/src
		IGNOREHEADERS as-component-private.h as-utils-private.h as-settings-private.h as-cache-internal.h
		SUFFIXES h c hh cc
		LDFLAGS
			-L${CMAKE_CURRENT_BINARY_DIR}/../src
			-lappstream
		LDPATH
			"${CMAKE_CURRENT_BINARY_DIR}/../src"
		OUTPUT_DIR
			"${CMAKE_CURRENT_SOURCE_DIR}/api"
		DEPENDS appstream)

	set_directory_properties (PROPERTIES CLEAN_NO_CUSTOM ${CMAKE_CURRENT_SOURCE_DIR}/api)
	set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_SOURCE_DIR}/api/html;${CMAKE_CURRENT_SOURCE_DIR}/api/xml;${CMAKE_CURRENT_SOURCE_DIR}/api/tmpl")

	#file(GLOB EXTRA_CLEANUP_FILES   "${CMAKE_CURRENT_SOURCE_DIR}/api/*.txt"
	#				"${CMAKE_CURRENT_SOURCE_DIR}/api/*.stamp"
	#				"${CMAKE_CURRENT_SOURCE_DIR}/api/*.c"
	#				"${CMAKE_CURRENT_SOURCE_DIR}/api/*.bak"
	#)
	#set(EXTRA_CLEANUP_FILES_LIST "")
	#foreach(fname ${EXTRA_CLEANUP_FILES})
	#	list(APPEND EXTRA_CLEANUP_FILES_LIST "${fname}")
	#endforeach(fname)

	#set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${EXTRA_CLEANUP_FILES_LIST}")
endif()

option(INSTALL_PREBUILT_DOCS "Install prebuilt documentation, if found" ON)
if (INSTALL_PREBUILT_DOCS OR DOCUMENTATION)
	if (DOCUMENTATION OR (EXISTS "${DOC_HTML_EXPORT_DIR}" AND IS_DIRECTORY "${DOC_HTML_EXPORT_DIR}"))
		install(DIRECTORY "${DOC_HTML_EXPORT_DIR}/" DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/appstream/html)

		install(DIRECTORY DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/gtk-doc/html/)
		install(CODE "if (\"\$ENV{DESTDIR}\" STREQUAL \"\")
					execute_process (COMMAND \"${CMAKE_COMMAND}\" -E create_symlink
						${CMAKE_INSTALL_FULL_DATADIR}/doc/appstream/html/api/
						${CMAKE_INSTALL_FULL_DATADIR}/gtk-doc/html/appstream
					)
				else ()
					execute_process (COMMAND \"${CMAKE_COMMAND}\" -E create_symlink
						${CMAKE_INSTALL_FULL_DATADIR}/doc/appstream/html/api/
						\$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_DATADIR}/gtk-doc/html/appstream
					)
				endif ()")
	endif()
endif()

=== qt/CMakeLists.txt ===
project(AppStreamQt)
cmake_minimum_required(VERSION 3.2.0 FATAL_ERROR)

include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
add_compiler_export_flags()

find_package(Qt5 REQUIRED COMPONENTS Core)
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.46)
include(GNUInstallDirs)

set(APPSTREAMQT_SO_VERSION 2)
set(APPSTREAMQT_VERSION ${AS_VERSION})

set(CMAKE_AUTOMOC on)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE ON)
set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

set(APPSTREAMQT_SRC
    category.cpp
    component.cpp
    pool.cpp
    image.cpp
    screenshot.cpp
    icon.cpp
    provided.cpp
    release.cpp
    bundle.cpp
    suggested.cpp
    contentrating.cpp
    launchable.cpp
    translation.cpp
    metadata.cpp
)

set(APPSTREAMQT_PUBLIC_HEADERS
    category.h
    component.h
    pool.h
    image.h
    screenshot.h
    icon.h
    provided.h
    release.h
    bundle.h
    suggested.h
    contentrating.h
    launchable.h
    translation.h
    metadata.h
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}/src
                    ${CMAKE_BINARY_DIR}/src
                    ${GLIB2_INCLUDE_DIRS}
)

add_library(AppStreamQt SHARED ${APPSTREAMQT_SRC})
target_link_libraries(AppStreamQt PUBLIC Qt5::Core
                                  PRIVATE appstream
                                          ${GLIB2_LIBRARIES}
                                          ${SANITIZER_LIBS})
target_include_directories(AppStreamQt PUBLIC "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/>")
generate_export_header(AppStreamQt)

set_property(TARGET AppStreamQt PROPERTY VERSION "${APPSTREAMQT_VERSION}")
set_property(TARGET AppStreamQt PROPERTY SOVERSION "${APPSTREAMQT_SO_VERSION}" )

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/AppStreamQtConfigVersion.cmake VERSION ${APPSTREAMQT_VERSION} COMPATIBILITY SameMajorVersion )

export(TARGETS AppStreamQt appstream
       FILE "${CMAKE_CURRENT_BINARY_DIR}/AppStreamQtTargets.cmake")

install(TARGETS AppStreamQt EXPORT AppStreamLibsTarget
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(FILES ${APPSTREAMQT_PUBLIC_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/appstreamqt_export.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/AppStreamQt")

set(ConfigPackageLocation ${CMAKE_INSTALL_LIBDIR}/cmake/AppStreamQt)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/AppStreamQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/AppStreamQtConfig.cmake"
  INSTALL_DESTINATION ${ConfigPackageLocation}
)

install(EXPORT AppStreamLibsTarget
    FILE AppStreamQtTargets.cmake
    DESTINATION ${ConfigPackageLocation})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/AppStreamQtConfigVersion.cmake ${CMAKE_CURRENT_BINARY_DIR}/AppStreamQtConfig.cmake DESTINATION ${ConfigPackageLocation})

add_subdirectory(tests)

=== src/CMakeLists.txt ===
# CMakeLists for AppStream database shared lib

pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.46)
pkg_check_modules(GIO2 REQUIRED gio-2.0)
find_package(GI REQUIRED)
find_package(LibXml2 REQUIRED)
find_library(M_LIB m)
pkg_check_modules(YAML REQUIRED yaml-0.1)

if (STEMMING)
	find_path(SNOWBALL_INCLUDE_DIR libstemmer.h HINTS "/usr/include" "/usr/include/libstemmer")
	find_library(SNOWBALL_LIB stemmer)
	if (NOT SNOWBALL_LIB OR NOT SNOWBALL_INCLUDE_DIR)
		message (FATAL_ERROR "Stemming support is enabled, but libstemmer was not found. Please install the Snowball development files.")
	endif ()
else ()
	set(SNOWBALL_LIB "")
	set(SNOWBALL_INCLUDE_DIR "")
endif ()

include(GObjectIntrospectionMacros)
set(INTROSPECTION_GIRS)
set(INTROSPECTION_SCANNER_ARGS "--identifier-prefix=As" "--symbol-prefix=as" "--warn-all" "--add-include-path=${CMAKE_CURRENT_SOURCE_DIR}")
set(INTROSPECTION_COMPILER_ARGS "--includedir=${CMAKE_CURRENT_SOURCE_DIR}")

# check if the git tools are really found.
if (NOT INTROSPECTION_SCANNER)
	message (FATAL_ERROR "GObject introspection scanner was not found! Please install it to continue.")
endif ()
if (NOT INTROSPECTION_COMPILER)
	message (FATAL_ERROR "GObject introspection compiler was not found! Please install it to continue.")
endif ()

set (srcdir ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "Source dir")
set(AS_VERSION_BASE "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}" CACHE INTERNAL "AppStream library combined version number")

set(APPSTREAM_LIB_SRC
		as-utils.c
		# internal
		as-context.c
		as-xml.c
		as-yaml.c
		as-variant-cache.c
		as-desktop-entry.c
		as-distro-extras.c
		as-stemmer.c
		# (mostly) public
		as-spdx.c
		as-metadata.c
		as-component.c
		as-enums.c
		as-provided.c
		as-bundle.c
		as-pool.c
		as-category.c
		as-distro-details.c
		as-screenshot.c
		as-image.c
		as-release.c
		as-checksum.c
		as-validator.c
		as-validator-issue.c
		as-icon.c
		as-translation.c
		as-suggested.c
		as-content-rating.c
		as-launchable.c
)

set(APPSTREAM_LIB_PUBLIC_HEADERS
		appstream.h
		as-utils.h
		as-spdx.h
		as-metadata.h
		as-component.h
		as-pool.h
		as-enums.h
		as-provided.h
		as-bundle.h
		as-category.h
		as-distro-details.h
		as-screenshot.h
		as-image.h
		as-release.h
		as-checksum.h
		as-validator.h
		as-validator-issue.h
		as-icon.h
		as-translation.h
		as-suggested.h
		as-content-rating.h
		as-launchable.h
)

set(APPSTREAM_LIB_PRIVATE_HEADERS
		as-utils-private.h
		as-context.h
		as-xml.h
		as-yaml.h
		as-variant-cache.h
		as-desktop-entry.h
		as-pool-private.h
		as-image-private.h
		as-component-private.h
		as-screenshot-private.h
		as-release-private.h
		as-distro-extras.h
		as-stemmer.h
		as-content-rating-private.h
		as-bundle-private.h
		as-checksum-private.h
		as-icon-private.h
		as-launchable-private.h
)

include_directories(${CMAKE_BINARY_DIR}
		    ${CMAKE_BINARY_DIR}/src
		    ${GLIB2_INCLUDE_DIRS}
		    ${GIO2_INCLUDE_DIRS}
		    ${LIBXML2_INCLUDE_DIR}
		    ${YAML_INCLUDE_DIR}
		    ${SNOWBALL_INCLUDE_DIR}
)

add_definitions("-DAS_COMPILATION")

# ensure that the GI compiler has been found (apparently, the automatic tests fail on some machines)
if (NOT INTROSPECTION_COMPILER)
  message(FATAL_ERROR "GObject-Introspection was not found! Please install it to continue.")
endif()

# GResources
find_program (GCR_TOOL glib-compile-resources)
if (NOT GCR_TOOL)
	message(FATAL_ERROR "Could not find glib-compile-resources! Please mek the tool available to continue.")
endif ()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/as-resources.h
	DEPENDS appstream.gresource.xml
		${CMAKE_SOURCE_DIR}/data/xdg-category-names.txt
	COMMAND ${GCR_TOOL}
		"--sourcedir=${CMAKE_SOURCE_DIR}/data"
		"--target=as-resources.h"
		"--generate-header"
		"--c-name=as"
		"${CMAKE_CURRENT_SOURCE_DIR}/appstream.gresource.xml"
	WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
	VERBATIM
)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/as-resources.c
	DEPENDS appstream.gresource.xml
		${CMAKE_SOURCE_DIR}/data/xdg-category-names.txt
	COMMAND ${GCR_TOOL}
		"--sourcedir=${CMAKE_SOURCE_DIR}/data"
		"--target=as-resources.c"
		"--generate-source"
		"--c-name=as"
		"${CMAKE_CURRENT_SOURCE_DIR}/appstream.gresource.xml"
	WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
	VERBATIM
)

set (APPSTREAM_LIB_GRESOURCE ${CMAKE_CURRENT_BINARY_DIR}/as-resources.c
			      ${CMAKE_CURRENT_BINARY_DIR}/as-resources.h
)

add_library(appstream SHARED
		${APPSTREAM_LIB_SRC}
		${APPSTREAM_LIB_PUBLIC_HEADERS}
		${APPSTREAM_LIB_PRIVATE_HEADERS}
		${APPSTREAM_LIB_GRESOURCE}
)

set_target_properties(appstream PROPERTIES VERSION ${AS_VERSION} SOVERSION ${APPSTREAM_LIB_API_LEVEL})

target_link_libraries(appstream
		${SANITIZER_LIBS}
		${GLIB2_LIBRARIES}
		${GIO2_LIBRARIES}
		${LIBXML2_LIBRARIES}
		${YAML_LIBRARIES}
		${SNOWBALL_LIB}
)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/appstream.pc.in ${CMAKE_CURRENT_BINARY_DIR}/appstream.pc @ONLY)

####
# GObject Introspection

if(NOT (MAINTAINER AND SANITIZERS))
# compiling GIR doesn't work well with asan, needs to be investigated.

macro(_list_prefix _outvar _listvar _prefix)
  set(${_outvar})
  foreach(_item IN LISTS ${_listvar})
    list(APPEND ${_outvar} ${_prefix}${_item})
  endforeach()
endmacro(_list_prefix)

set(introspection_files ${APPSTREAM_LIB_SRC} ${APPSTREAM_LIB_PUBLIC_HEADERS})
set(AppStream_1_0_gir "appstream")
set(AppStream_1_0_gir_INCLUDES GObject-2.0 Gio-2.0)
set(AppStream_1_0_gir_CFLAGS "-I${CMAKE_CURRENT_SOURCE_DIR}/" "-DAS_COMPILATION" ${MAINTAINER_CFLAGS})
set(AppStream_1_0_gir_LIBS appstream)

_list_prefix(AppStream_1_0_gir_FILES introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
set(AppStream_1_0_gir_SCANNERFLAGS --c-include appstream.h)
set(AppStream_1_0_gir_EXPORT_PACKAGES appstream)

list(APPEND INTROSPECTION_GIRS AppStream-1.0.gir)
gir_add_introspections(INTROSPECTION_GIRS)

endif()
####

install(TARGETS appstream EXPORT AppStreamLibsTarget DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${APPSTREAM_LIB_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/AppStream)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appstream.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)

=== contrib/vapi/CMakeLists.txt ===
# Vala API

if(NOT (MAINTAINER AND SANITIZERS))
# compiling GIR doesn't work well with asan, needs to be investigated.

set(APPSTREAM_VAPI_FILE "${CMAKE_CURRENT_BINARY_DIR}/appstream.vapi")
set(APPSTREAM_DEPS_FILE "${CMAKE_CURRENT_SOURCE_DIR}/appstream.deps")

find_program (VAPIGEN vapigen)
mark_as_advanced (VAPIGEN)
if (VAPIGEN STREQUAL "VAPIGEN-NOTFOUND")
	message (FATAL_ERROR "Vapigen was not found. Please install it in order to generate Vala API files!")
endif (VAPIGEN STREQUAL "VAPIGEN-NOTFOUND")

add_custom_command (OUTPUT ${APPSTREAM_VAPI_FILE}
			COMMAND ${VAPIGEN} --metadatadir=${CMAKE_CURRENT_SOURCE_DIR} -d . --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
					${CMAKE_BINARY_DIR}/src/AppStream-1.0.gir
					--library=appstream
					--pkg glib-2.0 --pkg gio-2.0 --pkg gobject-2.0
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS appstream gir-typelibs ${CMAKE_BINARY_DIR}/src/AppStream-1.0.typelib
			VERBATIM
)
add_custom_target(vapi ALL DEPENDS ${APPSTREAM_VAPI_FILE})

install(FILES ${APPSTREAM_VAPI_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala/vapi)
install(FILES ${APPSTREAM_DEPS_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala/vapi)

endif()

=== debian/changelog ===
appstream (0.11.3-1) unstable; urgency=medium

  * New upstream version: 0.11.3

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Aug 2017 13:14:34 -0400

appstream (0.11.2-1) unstable; urgency=medium

  * New upstream version: 0.11.2
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 18 Jul 2017 20:36:34 +0200

appstream (0.11.1-1) unstable; urgency=medium

  * New upstream version: 0.11.1
  * Update .symbols file
  * Fix autopkgtest

 -- Matthias Klumpp <mak@debian.org>  Sun, 02 Jul 2017 16:32:06 +0200

appstream (0.11.0-1) unstable; urgency=medium

  * New upstream version: 0.11.0
  * Drop appstream-index transitional package
  * Drop all patches: Applied upstream
  * Update symbols file
  * Bump standards version: No changes needed
  * Use noawait triggers for cache rebuilds

 -- Matthias Klumpp <mak@debian.org>  Sat, 24 Jun 2017 17:35:18 +0200

appstream (0.10.6-2) unstable; urgency=medium

  * vala-deps.patch: Add Vala dependency file
    - Fixes Vala builds which don't explicitly depend on GIO already.
  * yaml-serialize-crash.patch: Don't crash when serializing components
    with a session DBus provides to YAML.
  * no-cache-if-no-cpts.patch: Don't attempt (and fail) to create a cache
    if there are no components at all to serialize.
  * no-gvfsd-root.patch: Ensure gvfsd and friends don't get spawned as
    root (or at all in case of ascli). (Closes: #852696)

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Mar 2017 20:48:26 +0100

=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 10),
               gettext,
               gobject-introspection,
               gtk-doc-tools,
               itstool,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.46),
               libstemmer-dev,
               libxml2-dev (>= 2.8.0),
               libyaml-dev (>= 0.1.6),
               qtbase5-dev (>= 5.6),
               valac,
               xmlto
Standards-Version: 4.0.0
Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/appstream.git

Package: appstream
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: appstream-index (<< ${source:Version}),
        gnome-software (<< 3.22.5-1),
        plasma-discover (<< 5.8.5-3)
Provides: appstream-index
Description: Software component metadata management
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format.
 It provides facilities to easily access and transform the data, as well
 as a few additional services to allow building feature-rich software center
 applications.
 .
 This package provides tools to generate, maintain and query the AppStream
 data pool of installed and available software, and enables integration
 with the APT package manager.
 .
 The 'appstreamcli' tool can be used for accessing the software component
 pool as well as for working with AppStream metadata directly, including
 validating it for compliance with the specification.

Package: libappstream4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library to access AppStream services
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains a GObject-based library to access AppStream
 services, like the software component metadata pool.
 It also contains functions for reading, writing and transforming AppStream
 metadata.

Package: libappstream-dev
Architecture: any
Section: libdevel
Depends: gir1.2-appstream-1.0 (= ${binary:Version}),
         libappstream4 (= ${binary:Version}),
         libglib2.0-dev (>= 2.46),
         ${misc:Depends}
Suggests: appstream-generator
Description: Library to access AppStream services (development files)
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains development files necessary to develop
 software management tools which use the AppStream library.

Package: gir1.2-appstream-1.0
Architecture: any
Section: introspection
Depends: libappstream4 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Breaks: gir1.2-appstream (<< 0.10.1)
Replaces: gir1.2-appstream (<< 0.10.1)
Description: Library to access AppStream services (introspection data)
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains introspection data for the AppStream library.

Package: libappstreamqt2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Qt5 library to access AppStream services
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains a Qt-based library to access AppStream
 services, like the software component metadata pool.

Package: libappstreamqt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libappstreamqt2 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Qt5 library to access AppStream services (development files)
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains development files necessary to develop
 software management tools which use the Qt-based AppStream library.

Package: appstream-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: appstream
Description: Developer documentation for AppStream
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package provides developer documentation for AppStream.

## appstream 0.11.8

=== debian/changelog ===
appstream (0.11.8-3) unstable; urgency=medium

  * appstream-doc breaks older appstream package versions (Closes: #888301)
    - The upstream NEWS file accidentally moved from appstream to
      appstream-doc, and now that it is there it makes sense to
      keep it in the -doc package.

 -- Matthias Klumpp <mak@debian.org>  Wed, 24 Jan 2018 20:50:20 +0100

appstream (0.11.8-2) unstable; urgency=medium

  * qt-define-locations-nodebug.patch: Allow finding the Qt library
    for non-debug builds correctly again (Closes: #888144)

 -- Matthias Klumpp <mak@debian.org>  Wed, 24 Jan 2018 20:32:40 +0100

appstream (0.11.8-1) unstable; urgency=medium

  * New upstream version: 0.11.8
  * Update Vcs-* URLs for Salsa migration
  * Bump dh compat level to 11

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Jan 2018 23:58:02 +0100

appstream (0.11.7-1) unstable; urgency=medium

  * New upstream version: 0.11.7
  * Drop patches: Applied upstream
  * Make appstream package suggest curl
  * Bump standards version: No changes needed
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Oct 2017 19:52:02 +0200

appstream (0.11.6-2) unstable; urgency=medium

  * fix-screenshot-validate-loop.patch: Fix endless loop when
    validating screenshots

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Oct 2017 17:17:46 +0200

appstream (0.11.6-1) unstable; urgency=medium

  * New upstream version: 0.11.6

 -- Matthias Klumpp <mak@debian.org>  Mon, 02 Oct 2017 22:18:42 +0200

appstream (0.11.5-1) unstable; urgency=medium

  * New upstream version 0.11.5
    - Makes Qt CMake file work on non-64bit-arches again (Closes: #874169)
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Mon, 04 Sep 2017 18:22:14 +0200

appstream (0.11.4-1) unstable; urgency=medium

  * New upstream version: 0.11.4
  * Adjust packaging to use the Meson buildsystem
  * Update .install files
  * Update .symbols file
  * Fail on missing files
  * Trim & update build-dependencies
    - xmlto is no longer needed
    - itstool is no longer needed
    - libgirepository1.0-dev >= 1.53, older versions have bugs
      breaking the build.

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Aug 2017 19:56:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,22 @@
 Section: admin
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: cmake (>= 2.8),
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gettext,
                gobject-introspection,
                gtk-doc-tools,
-               itstool,
-               libgirepository1.0-dev (>= 1.32),
+               libgirepository1.0-dev (>= 1.53),
                libglib2.0-dev (>= 2.46),
                libstemmer-dev,
                libxml2-dev (>= 2.8.0),
                libyaml-dev (>= 0.1.6),
+               meson (>= 0.42),
                qtbase5-dev (>= 5.6),
-               valac,
-               xmlto
-Standards-Version: 4.0.0
+               valac
+Standards-Version: 4.1.2
 Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
-Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/appstream.git
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
 
 Package: appstream
 Architecture: any
@@ -29,6 +27,7 @@
         gnome-software (<< 3.22.5-1),
         plasma-discover (<< 5.8.5-3)
 Provides: appstream-index
+Suggests: curl
 Description: Software component metadata management
  AppStream is a metadata specification, allowing to write metadata for
  software projects in a standardized format.
@@ -138,6 +137,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: appstream
+Breaks: appstream (<< 0.11.8)
 Description: Developer documentation for AppStream
  AppStream is a metadata specification, allowing to write metadata for
  software projects in a standardized format. This allows software centers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

AS_CONFIGURE_ARGS = -Dqt=true \
		-Dapt-support=true \
		-Dvapi=true

%:
	dh $@ --parallel --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --fail-missing

## appstream 0.12.0

=== meson_options.txt ===
option('stemming',
       type : 'boolean',
       value : true,
       description : 'Use stemming while searching. Requires Snowball (libstemmer)'
)
option('vapi',
       type : 'boolean',
       value : false,
       description : 'Create and install a Vala API file. Requires "gir" to be enabled as well'
)
option('qt',
       type : 'boolean',
       value : false,
       description : 'Build libappstream-qt'
)
option('docs',
       type : 'boolean',
       value : false,
       description : 'Build documentation for API and specification'
)
option('apidocs',
       type : 'boolean',
       value : true,
       description : 'Build API documentation (automatically enabled when "-Ddocs=true" is passed)'
)
option('apt-support',
       type : 'boolean',
       value : false,
       description : 'Enable integration with APT on Debian'
)
option('gir',
       type : 'boolean',
       value : true,
       description : 'Build introspection data'
)

#
# For development
#
option('maintainer',
       type : 'boolean',
       value : false,
       description : 'Enable maintainer mode (use strict compiler flags, e.g. -Werror)'
)

=== debian/changelog ===
appstream (0.12.0-3) unstable; urgency=medium

  * load-desktop-data.patch: Load desktop file data properly again

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Apr 2018 21:30:08 +0200

appstream (0.12.0-2) unstable; urgency=medium

  * Make autopkgtest work again
  * Update d/copyright (Closes: #894856)
  * icon config: Pull in non-HiDPI config for large icons
    if large-icon HiDPI config is installed

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Apr 2018 14:12:26 +0200

appstream (0.12.0-1) unstable; urgency=medium

  * New upstream version: 0.12.0
  * Drop all patches: Applied upstream
  * Update .symbols file
  * d/rules: Drop obsolete --parallel flag
  * Add APT config snippet packages for an easy way of enabling
    icon downloads for different sizes and HiDPI.

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Apr 2018 18:36:26 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,8 @@
         gnome-software (<< 3.22.5-1),
         plasma-discover (<< 5.8.5-3)
 Provides: appstream-index
-Suggests: curl
+Suggests: apt-config-icons,
+          curl
 Description: Software component metadata management
  AppStream is a metadata specification, allowing to write metadata for
  software projects in a standardized format.
@@ -146,3 +147,71 @@
  unknown file type or to make missing firmware available).
  .
  This package provides developer documentation for AppStream.
+
+Package: apt-config-icons
+Architecture: all
+Multi-Arch: foreign
+Section: misc
+Depends: appstream,
+         ${misc:Depends}
+Description: APT configuration snippet to enable icon downloads
+ This package contains an APT configuration snippet that enables the
+ download of an icon tarball containing application icons for display in
+ software centers.
+ Icons get downloaded directly from the archive via regular cache updates,
+ and match the software currently available in the respective archive suites.
+ .
+ This snippet enables icons of the default icon size set in the AppStream
+ specification for software centers, 64x64px. It also enables downloads
+ of smaller 48x48px icons.
+
+Package: apt-config-icons-hidpi
+Architecture: all
+Multi-Arch: foreign
+Section: misc
+Depends: apt-config-icons,
+         ${misc:Depends}
+Description: APT configuration snippet to enable HiDPI icon downloads
+ This package contains an APT configuration snippet that enables the
+ download of an icon tarball containing application icons for display in
+ software centers.
+ Icons get downloaded directly from the archive via regular cache updates,
+ and match the software currently available in the respective archive suites.
+ .
+ This snippet enables icons in the size of 64x64@2, that are suitable for
+ HiDPI displays.
+
+Package: apt-config-icons-large
+Architecture: all
+Multi-Arch: foreign
+Section: misc
+Depends: apt-config-icons,
+         ${misc:Depends}
+Description: APT configuration snippet to enable large icon downloads
+ This package contains an APT configuration snippet that enables the
+ download of an icon tarball containing application icons for display in
+ software centers.
+ Icons get downloaded directly from the archive via regular cache updates,
+ and match the software currently available in the respective archive suites.
+ .
+ This snippet enables icon tarball downloads in large, 128x128px size.
+ If these bigger icons are not downloaded by APT, a software center may
+ decide to fetch them on-demand from a web location.
+
+Package: apt-config-icons-large-hidpi
+Architecture: all
+Multi-Arch: foreign
+Section: misc
+Depends: apt-config-icons-large,
+         ${misc:Depends}
+Description: APT configuration snippet to enable large HiDPI icon downloads
+ This package contains an APT configuration snippet that enables the
+ download of an icon tarball containing application icons for display in
+ software centers.
+ Icons get downloaded directly from the archive via regular cache updates,
+ and match the software currently available in the respective archive suites.
+ .
+ This snippet enables icon tarball downloads in large, 128x128@2 size that
+ are also suitable for HiDPI displays.
+ If these bigger icons are not downloaded by APT, a software center may
+ decide to fetch them on-demand from a web location.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 		-Dvapi=true
 
 %:
-	dh $@ --parallel --with gir
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

## appstream 0.12.2

=== debian/changelog ===
appstream (0.12.2-2) unstable; urgency=medium

  * Use HTTPS version of homepage URL
  * cache-explicit-variants.patch: Set explicit variant types when
    generating the cache, for cases were we may not be able to
    infer them automatically (Closes: #906538)
  * apt-ignore-exit-status.patch: Don't return failure on metadata issues,
    only print a warning and exit normally (Closes: #868018)

 -- Matthias Klumpp <mak@debian.org>  Sun, 19 Aug 2018 16:32:23 +0200

appstream (0.12.2-1) unstable; urgency=medium

  * New upstream version: 0.12.2
    - Fixes autopkgtest by working around Meson/pkg-config bug
      (Closes: #901299)
    - Closes a few memory leaks (Closes: #868785)
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sat, 04 Aug 2018 15:48:52 +0800

appstream (0.12.1-1) unstable; urgency=medium

  * New upstream version: 0.12.1
  * Drop all patches: Applied upstream
  * Add build dependency on gperf
  * Update symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sun, 10 Jun 2018 18:46:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 11),
                gettext,
                gobject-introspection,
+               gperf,
                gtk-doc-tools,
                libgirepository1.0-dev (>= 1.53),
                libglib2.0-dev (>= 2.46),
@@ -14,8 +15,8 @@
                meson (>= 0.42),
                qtbase5-dev (>= 5.6),
                valac
-Standards-Version: 4.1.2
-Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
+Standards-Version: 4.2.0
+Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream

## appstream 0.12.3

=== debian/changelog ===
appstream (0.12.3-1) unstable; urgency=medium

  * New upstream version: 0.12.3
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Oct 2018 18:44:32 +0200

## appstream 0.12.4

=== debian/changelog ===
appstream (0.12.4-2) unstable; urgency=medium

  * Add no-invalid-warnings.patch: Don't warn about nonexistent issues
    on cache refresh.

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Dec 2018 18:36:18 +0100

appstream (0.12.4-1) unstable; urgency=medium

  * New upstream version: 0.12.4

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Dec 2018 18:02:12 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                meson (>= 0.42),
                qtbase5-dev (>= 5.6),
                valac
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream

## appstream 0.12.5

=== debian/changelog ===
appstream (0.12.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:16 +0800

appstream (0.12.5-1) unstable; urgency=medium

  * New upstream version: 0.12.5
  * Drop patch: Applied upstream
  * Switch to dh compat level 12
  * Bump standards version: No changes needed
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sat, 26 Jan 2019 18:10:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gettext,
                gobject-introspection,
                gperf,
@@ -15,7 +15,7 @@
                meson (>= 0.42),
                qtbase5-dev (>= 5.6),
                valac
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream

## appstream 0.12.6

=== debian/changelog ===
appstream (0.12.6-2) experimental; urgency=medium

  * Cherry-pick patches from upstream to fix test failures with GLib 2.59

 -- Iain Lane <laney@debian.org>  Tue, 02 Apr 2019 15:03:17 +0100

appstream (0.12.6-1) unstable; urgency=medium

  * New upstream version: 0.12.6
    - Fulltext search improvements
    - Support for release artifacts
  * Update symbols file
  * Add missing license to d/copyright

 -- Matthias Klumpp <mak@debian.org>  Sat, 02 Mar 2019 16:34:54 +0100

## appstream 0.12.7

=== debian/changelog ===
appstream (0.12.7-1) unstable; urgency=medium

  * New upstream version: 0.12.7
  * Upload to unstable
  * Drop patches: Applied upstream
  * Update .symbols file
  * 01_use-fallback-tempdir-if-user-home-does-not-exist.patch:
    - Fix test failure
  * Build-depend on LMDB

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Jun 2019 22:16:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                gtk-doc-tools,
                libgirepository1.0-dev (>= 1.53),
                libglib2.0-dev (>= 2.46),
+               liblmdb-dev,
                libstemmer-dev,
                libxml2-dev (>= 2.8.0),
                libyaml-dev (>= 0.1.6),

## appstream 0.12.9

=== debian/changelog ===
appstream (0.12.9-1) unstable; urgency=medium

  * New upstream version: 0.12.9
    - Permits cache rebuilds on lower-end 32bit platforms (Closes: #935146)
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Sep 2019 20:26:24 +0200

appstream (0.12.8-1) unstable; urgency=medium

  * New upstream version: 0.12.8
  * Clean up the cache directory when migrating from older versions
  * Drop patch: Applied upstream
  * Update .symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Fri, 16 Aug 2019 21:28:34 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                meson (>= 0.42),
                qtbase5-dev (>= 5.6),
                valac
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream

## appstream 0.12.10

=== meson_options.txt ===
--- 
+++ 
@@ -23,6 +23,11 @@
        value : true,
        description : 'Build API documentation (automatically enabled when "-Ddocs=true" is passed)'
 )
+option('install-docs',
+       type : 'boolean',
+       value : true,
+       description : 'Install documentation for API and specification'
+)
 option('apt-support',
        type : 'boolean',
        value : false,

=== debian/changelog ===
appstream (0.12.10-2) unstable; urgency=medium

  * Add fix-free-license-check.patch: Non-free licenses were previously
    considered free software, this patch fixes that
  * Add ascli-explain-in-manpage.patch: Explain the `--explain` flag for
    `appstreamcli validate` in the manual page as well
  * Add ignore-control-relation-in-validator.patch: Don't fail validation
    if control relations exists. This is an upcoming AppStream feature that
    will potentially be used quite a lot.
  * Add update-static-data.patch: Update the license and TLD lists to
    validate newer licenses correctly.
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Mar 2020 16:40:14 +0100

appstream (0.12.10-1) unstable; urgency=medium

  * New upstream version: 0.12.10
  * appstream: Depend on shared-mime-info explicitly (LP: #1813479)
  * Update build dependencies (added libsoup2.4-dev)
  * Update symbols file
  * less-long-token-noise.patch: Make less noise when encountering
    excessively long search tokens (Closes: #942438)
  * Flag d/rules as not requiring root
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sat, 18 Jan 2020 18:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,30 +7,32 @@
                gobject-introspection,
                gperf,
                gtk-doc-tools,
-               libgirepository1.0-dev (>= 1.53),
-               libglib2.0-dev (>= 2.46),
+               libgirepository1.0-dev (>= 1.58),
+               libglib2.0-dev (>= 2.58),
                liblmdb-dev,
+               libsoup2.4-dev (>= 2.56),
                libstemmer-dev,
                libxml2-dev (>= 2.8.0),
                libyaml-dev (>= 0.1.6),
-               meson (>= 0.42),
+               meson (>= 0.48),
                qtbase5-dev (>= 5.6),
                valac
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
 
 Package: appstream
 Architecture: any
-Depends: ${misc:Depends},
+Depends: shared-mime-info,
+         ${misc:Depends},
          ${shlibs:Depends}
 Breaks: appstream-index (<< ${source:Version}),
         gnome-software (<< 3.22.5-1),
         plasma-discover (<< 5.8.5-3)
 Provides: appstream-index
-Suggests: apt-config-icons,
-          curl
+Suggests: apt-config-icons
 Description: Software component metadata management
  AppStream is a metadata specification, allowing to write metadata for
  software projects in a standardized format.

=== debian/watch ===
version=3

https://www.freedesktop.org/software/appstream/releases/AppStream-([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## appstream 0.12.11

=== debian/changelog ===
appstream (0.12.11-1) unstable; urgency=medium

  * New upstream version 0.12.11
  * Drop all patches: Applied upstream
  * Update .symbols file
  * Use packaged copy of highlight.js for documentation
  * Add full-source copy of highlight.js to debian/ dir

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 May 2020 18:28:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gettext,
                gobject-introspection,
                gperf,
                gtk-doc-tools,
                libgirepository1.0-dev (>= 1.58),
                libglib2.0-dev (>= 2.58),
+               libjs-highlight.js,
                liblmdb-dev,
                libsoup2.4-dev (>= 2.56),
                libstemmer-dev,
@@ -140,7 +141,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends: libjs-highlight.js,
+         ${misc:Depends}
 Suggests: appstream
 Breaks: appstream (<< 0.11.8)
 Description: Developer documentation for AppStream

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,9 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+execute_after_dh_auto_install:
+	# replace embedded highlight.js copy with a packaged one
+	rm $(CURDIR)/debian/tmp/usr/share/doc/appstream/html/static/js/highlight.min.js
+	ln -s /usr/share/javascript/highlight.js/highlight.min.js \
+		$(CURDIR)/debian/tmp/usr/share/doc/appstream/html/static/js/highlight.min.js
